package LIFO;

public class Pantaila {
	private int plazak;
	public Pantaila(int p) {
		plazak=p;
	}
	
	synchronized public void hasiera(int BasatiKop) {
		for (int i = 0; i < BasatiKop; i++) {
			System.out.print("H[" + (i) + "]\t");
		}
		System.out.println("FIFO");
		for (int i = 0; i < BasatiKop; i++) {
			System.out.print("+++++++++++++++");
		}
		System.out.println("");
	}

	synchronized public void sartu(int k, int BasatiKop, int id) {
		int kop=k+1;
		idatzi ("Sartu:"+k, id, BasatiKop);
		posizionatu (BasatiKop, id);
		margotuKotxeak(kop);
		//System.out.println("");
	}
	
	synchronized public void irten(int k, int id, int BasatiKop) {
		int kop=k;
		idatzi ("Atera:"+k, id, BasatiKop);
		posizionatu (BasatiKop, id);
		margotuKotxeak(kop);
		//System.out.println("");
	}
	
	synchronized public void idatzi (String s, int id, int BasatiKop) {
		for (int i = 0; i < id; i++) {
			System.out.print("\t");
		}
		System.out.print(s);
	}
	
	synchronized public void posizionatu (int BasatiKop, int id) {
		for(int j=0; j<BasatiKop-id;j++) {
			System.out.print("\t");
		}
	}
	
	synchronized public void margotuKotxeak(int k) {
		System.out.print("[");
		for (int i=0; i<k;      ++i) { System.out.print("*"); }
		for (int i=k; i<plazak; ++i) { System.out.print(" "); }
		System.out.println("]");
	}
}
