package LIFO;

public class Pantaila {
	private int plazak;
	private int kont;
	private int t;
	public Pantaila(int p, int kont) {
		plazak=p;
		this.kont=kont;
	}
	
	synchronized public void hasiera(int BasatiKop) {
		for (int i = 0; i < BasatiKop; i++) {
			System.out.print("H[" + (i) + "]\t");
		}
		System.out.print("LIFO\t\t");
		System.out.println("Kontadorea");
		for (int i = 0; i < BasatiKop; i++) {
			System.out.print("+++++++++++++++");
		}
		System.out.println("");
	}

	synchronized public void sartu(int k, int BasatiKop, int id, int m) {
		int kop=k+1;
		idatzi ("Sartu:"+k, id, BasatiKop);
		posizionatu (BasatiKop, id);
		margotuKotxeak(kop, plazak);
		t=m+1;
		System.out.print("\t"+t);
		//margotuKotxeak(m+1, kont);
		System.out.println("");
	}
	
	synchronized public void irten(int k, int id, int BasatiKop, int m) {
		int kop=k;
		idatzi ("Atera:"+k, id, BasatiKop);
		posizionatu (BasatiKop, id);
		margotuKotxeak(kop, plazak);
		System.out.print("\t"+m);
		//margotuKotxeak(m, kont);
		System.out.println("");
	}
	
	synchronized public void idatzi (String s, int id, int BasatiKop) {
		for (int i = 0; i < id; i++) {
			System.out.print("\t");
		}
		System.out.print(s);
	}
	
	synchronized public void posizionatu (int BasatiKop, int id) {
		for(int j=0; j<BasatiKop-id;j++) {
			System.out.print("\t");
		}
	}
	
	synchronized public void margotuKotxeak(int k, int plazak) {
		System.out.print("[");
		for (int i=0; i<k;      ++i) { System.out.print("*"); }
		for (int i=k; i<plazak; ++i) { System.out.print(" "); }
		System.out.print("]");
	}
}
