package Oilategia;

public class Oilategi {
	
	private int o=0;
	private int a=0;
	private int oa=0;
	private Boolean b=false;
	
	private int AK;
	private Pantaila p;
	
	public Oilategi(int AK, Pantaila p) {
		this.AK=AK;
		this.p=p;
	}

	synchronized public void sartu() throws InterruptedException{
		//when (o==0 && a>=2)		josemi.sartu			-> OILATEGIA[o][oa][a][1]
		while (!(o==0&&a>=2)) wait();
		b=true;
		p.idatzi("sartu");
		p.margotuOilategiaJ(1, 0);
		p.margotuArrautzak(a);
	}

	synchronized public void sartu(int id) throws InterruptedException{
		//when (b==0 && oa+a<AK)	oilo[OR].sartu			-> OILATEGIA[o+1][oa+1][a][b]
		while (!(b==false&&oa+a<AK)) wait();
		o++;
		oa++;
		p.idatzi(id, o, id+".sartu");
		p.margotuOilategiaO(oa, o-oa);
		p.margotuArrautzak(a);
	}

	synchronized public void biHartu () {
		//		josemi.biHartu			-> OILATEGIA[o][oa][a-2][b]
		a=a-2;
		p.idatzi("hartu");
		p.margotuOilategiaJ(1, 1);
		p.margotuArrautzak(a);
	}

	synchronized public void irten () {
		//			josemi.irten			-> OILATEGIA[o][oa][a][0]
		b=false;
		p.idatzi("irten");
		p.margotuOilategiaJ(1, 2);
		p.margotuArrautzak(a);
		notify(); //Berdin du zein oilo esnatzen den
	}

	synchronized public void irten (int id) {
		//			oilo[OR].irten			-> OILATEGIA[o-1][oa][a][b]
		o--;
		p.idatzi(id, o, id+".irten");
		notifyAll(); //Josemi esnatu beharra dago
		p.margotuOilategiaO(oa, o-oa);
		p.margotuArrautzak(a);
	}

	synchronized public void arrautzaJarri (int id) {
		//		oilo[OR].arrautzaJarri	-> OILATEGIA[o][oa-1][a+1][b]
		oa--;
		a++;
		p.idatzi(id, a, id+".errun");
		p.margotuOilategiaO(oa, o-oa);
		p.margotuArrautzak(a);
	}
}
