package LIFO;

public class LIFO {
	int k;
	int max;
	int n;
	Pantaila p;
	int m=0;
	int kont;
	
	LIFO(int max, Pantaila p, int kont){
		this.k=0;
		this.max=max;
		this.p=p;
		this.kont=kont;
	}
	
	synchronized public int sartu (int mx, int id) throws InterruptedException{
		//when (k<LK&&m<K)	sartu[k] 		-> LIFO[k+1][m+1]
		while(!(k<max && m<kont)) wait();
		p.sartu(k, mx, id, m);
		k++;
		m++;
		n=k;
		return n;
		//Sartu egitean ez dago inor ekintza hori gertatzeko zain
	}
	
	synchronized public void irten (int id, int mx, int n) throws InterruptedException{
		//when (k>0)			irten[k-1] 		-> if(k==1) then LIFO[k-1][0]
		//										   else LIFO[k-1][m]
		while(!(k==n)) wait();
		if(k==1) {
			m=0;
		}
		k--;
		p.irten(k, id, mx, m);
		notifyAll(); //Hainbat prozesu zain egon daitezke eta ziurtatu behar da atera behar dena esnatuko dela
	}
}
