package SkatePark;

public class Pantaila {

	private int SK;
	private int BK;
	
	public Pantaila(int SK, int BK) {
		this.SK=SK;
		this.BK=BK;
	}
	
	synchronized public void hasiera() {
		for(int i=0; i<SK; i++) {
			System.out.print("S["+i+"]\t");
		}
		for(int i=0; i<BK; i++) {
			System.out.print("Z["+i+"]\t");
		}
		System.out.print("Txanda\t");
		System.out.print("t   ");
		System.out.print("sk\t\t");
		System.out.println("bk");
		for(int i=0; i<SK+BK+3; i++) {
			System.out.print("--------");
		}
		System.out.println();
	}
	
	synchronized public void iritsi(int id, boolean nor, boolean b, int t, int sk, int bk) {
		if(nor) {
			for (int i = 0; i < id; i++) {
				System.out.print("\t");
			}
			System.out.print("s["+id+"].iritsi");
			for (int j = id; j<SK+BK; j++) {
				System.out.print("\t");
			}
			System.out.print(t+"   ");
			margotuArrautzak(sk,SK,nor);
			System.out.println();
		}else {
			for (int i = 0; i < SK+id; i++) {
				System.out.print("\t");
			}
			System.out.print("z["+id+"].iritsi");
			for (int j = id; j<BK; j++) {
				System.out.print("\t");
			}
			System.out.print(t+"   ");
			System.out.print("\t\t");
			margotuArrautzak(bk,BK,nor);
			System.out.println();
		}
	}
	
	synchronized public void sartu(int id, boolean nor) {
		if(nor) {
			for (int i = 0; i < id; i++) {
				System.out.print("\t");
			}
			System.out.print("s["+id+"].sartu");
			System.out.println();
		}else {
			for (int i = 0; i < SK+id; i++) {
				System.out.print("\t");
			}
			System.out.print("z["+id+"].sartu");
			System.out.println();
		}
	}
	
	synchronized public void irten(int id, boolean nor, boolean b, int t, int sk, int bk) {
		if(nor) {
			for (int i = 0; i < id; i++) {
				System.out.print("\t");
			}
			System.out.print("s["+id+"].irten");
			for (int j = id; j<SK+BK; j++) {
				System.out.print("\t");
			}
			System.out.print(t+"   ");
			margotuArrautzak(sk,SK,nor);
			System.out.println();
		}else {
			for (int i = 0; i < SK+id; i++) {
				System.out.print("\t");
			}
			System.out.print("z["+id+"].irten");
			for (int j = id; j<BK; j++) {
				System.out.print("\t");
			}
			System.out.print(t+"   ");
			System.out.print("\t\t");
			margotuArrautzak(bk,BK,nor);
			System.out.println();
		}
	}
	
	synchronized public void ibili(int id) {
		for (int i = 0; i < SK+id; i++) {
			System.out.print("\t");
		}
		System.out.println("z["+id+"].ibili");
	}
	
	synchronized public void patinatu(int id) {
		for (int i = 0; i < id; i++) {
			System.out.print("\t");
		}
		System.out.println("s["+id+"].patinatu");
	}
	
	synchronized public void txanda(boolean b, int t) {
		for (int i = 0; i<SK+BK; i++) {
			System.out.print("\t");
		}
		if(b) {
			System.out.print(" Skate  ");
		}else {
			System.out.print(" Zikli  ");
		}
		System.out.print(t);
		System.out.println();
	}
	
	synchronized public void margotuArrautzak(int k, int max, Boolean b) {
		if(b) {
			System.out.print("[");
			for (int i=0; i<k; ++i) { System.out.print("*"); }
			for (int i=k; i<max; ++i) { System.out.print(" "); }
			System.out.println("]");
		}else {
			System.out.print("[");
			for (int i=0; i<k; ++i) { System.out.print("+"); }
			for (int i=k; i<max; ++i) { System.out.print(" "); }
			System.out.println("]");
		}
	}
}
